org.apache.tomcat.websocket.server

## Class DefaultServerEndpointConfigurator

- java.lang.Object
- - javax.websocket.server.ServerEndpointConfig.Configurator
  - - org.apache.tomcat.websocket.server.DefaultServerEndpointConfigurator

    public class DefaultServerEndpointConfigurator
    extends ServerEndpointConfig.Configurator

### Constructor Summary

Constructors
Constructor and Description
`DefaultServerEndpointConfigurator()`

### Method Summary

Methods
`boolean` `checkOrigin(String originHeaderValue)`
`<T> T` `getEndpointInstance(Class<T> clazz)`
`List<Extension>` `getNegotiatedExtensions(List<Extension> installed, List<Extension> requested)`
`String` `getNegotiatedSubprotocol(List<String> supported, List<String> requested)`
`void` `modifyHandshake(ServerEndpointConfig sec, HandshakeRequest request, HandshakeResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultServerEndpointConfigurator

    public DefaultServerEndpointConfigurator()

### Method Detail

#### getEndpointInstance

    public <T> T getEndpointInstance(Class<T> clazz)
                          throws InstantiationException

Overrides:
  `getEndpointInstance` in class `ServerEndpointConfig.Configurator`
Throws:
  `InstantiationException`

#### getNegotiatedSubprotocol

    public String getNegotiatedSubprotocol(List<String> supported,
                                  List<String> requested)

Overrides:
  `getNegotiatedSubprotocol` in class `ServerEndpointConfig.Configurator`

#### getNegotiatedExtensions

    public List<Extension> getNegotiatedExtensions(List<Extension> installed,
                                          List<Extension> requested)

Overrides:
  `getNegotiatedExtensions` in class `ServerEndpointConfig.Configurator`

#### checkOrigin

    public boolean checkOrigin(String originHeaderValue)

Overrides:
  `checkOrigin` in class `ServerEndpointConfig.Configurator`

#### modifyHandshake

    public void modifyHandshake(ServerEndpointConfig sec,
                       HandshakeRequest request,
                       HandshakeResponse response)

Overrides:
  `modifyHandshake` in class `ServerEndpointConfig.Configurator`